Name:       jwm
Summary:    Lightweight X11 Window Manager
Version:    2.3.7
Release:    %mkrel 4
License:    MIT
Group:      Graphical desktop/Other

URL:        http://joewing.net/programs/jwm/
Source:     http://joewing.net/projects/jwm/releases/%{name}-%{version}.tar.xz
# See:
# https://github.com/joewing/jwm/issues/490
# https://github.com/shlomif/jwm/tree/issue490-tentative-fix--make-jpeg-not-blurry
Patch1:     jwm-shlomif-dont-scale-jpeg.patch

BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  freetype2-devel
BuildRequires:  gettext

%description
JWM is a window manager for the X11 Window System. JWM is written in C and
uses only Xlib at a minimum.

%prep
%setup -q
%patch1 -p1

%build
%configure

%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog README.md
%license LICENSE
%{_bindir}/jwm
%{_datadir}/jwm/*.{svg,xbm}
%{_mandir}/*/*
%config(noreplace) %{_sysconfdir}/system.jwmrc


%changelog
* Fri Mar 20 2020 shlomif <shlomif> 2.3.7-4.mga8
+ Revision: 1558181
- apply a patch to avoid scaling bg jpegs

* Thu Feb 13 2020 umeabot <umeabot> 2.3.7-3.mga8
+ Revision: 1513692
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.3.7-2.mga7
+ Revision: 1298407
- Mageia 7 Mass Rebuild

* Sun Oct 01 2017 shlomif <shlomif> 2.3.7-1.mga7
+ Revision: 1162255
- New version 2.3.7

* Sat Jan 14 2017 shlomif <shlomif> 2.3.6-1.mga6
+ Revision: 1081703
- New version 2.3.6

* Mon Feb 15 2016 umeabot <umeabot> 2.3.2-2.mga6
+ Revision: 960793
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 ngompa <ngompa> 2.3.2-1.mga6
+ Revision: 893959
- Update to 2.3.2 and clean up spec

* Wed Oct 15 2014 umeabot <umeabot> 2.2.2-3.mga5
+ Revision: 742688
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.2-2.mga5
+ Revision: 680905
- Mageia 5 Mass Rebuild

* Thu Mar 20 2014 shlomif <shlomif> 2.2.2-1.mga5
+ Revision: 606234
- New version 2.2.2

* Tue Feb 04 2014 shlomif <shlomif> 2.2.0-1.mga5
+ Revision: 580556
- Importing - originally based on the Mandriva IceWM package

